@font-face{
  src:url(../fonts/Bahij.ttf);
  font-family:Bahij;
}

@font-face{
  src:url(../fonts/cocon-next-arabic.ttf);
  font-family:coconnextarabic;
}
@font-face{
  src:url(../fonts/careem-bold.otf);
  font-family:careembold;
}
@font-face{
  src:url(../fonts/last-careem-regular.ttf);
  font-family:careemregular;
}

body{
  font-family:careemregular;   
}

.category-menu .cat-icon{
	font-family: 'themify' !important;
}
[class^="ti-"], [class*=" ti-"]{
    font-family: 'themify' !important;	
}
.switch-icon span , [dir="rtl"] .ti-angle-up{
font-family: 'themify' !important;		
}

.page-contact #edit-preview{
	display:none;
}

.field--name-field-token ,
.field--name-field-social-id ,
.field--name-field-social-name{
    display:none;
}
[dir=rtl] .block-subtitle{
display:none;    
}

[dir="rtl"] .flag-compare .flag-link::before {
    content: "قارن";
}
[dir="rtl"] .flag-wishlist .flag-link::before {
    content: "المفضلة";
    
}
[dir="rtl"] .product-view .flag-link::before{
content: "نظرة سريعة";
    
}


[dir="rtl"] .header-right .field-body h4{
	direction:ltr;
}
[dir="rtl"] #block-home01-slider .owl-prev{
	left: 10px !important;
	right:unset;
}
[dir="rtl"] #block-home01-slider .owl-next{
	right: 10px !important;
	right:unset;
}
.order-total-line .order-total-line-label{
    margin-inline-end:10px;
}
#edit-checkout ,
#edit-login-returning-customer-forgot-password{
    margin-inline-start:10px;
}

#edit-shipping-information-shipping-profile-field-latitude-wrapper ,
#edit-shipping-information-shipping-profile-field-longitude-wrapper ,
.field--name-field-latitude ,
.field--name-field-longitude{
    display:none;
}
[dir="rtl"] [type="checkbox"]:checked + label:before{
transform: rotateZ(-37deg);    
    top: -2px;
    right: 3px;
}
[dir="rtl"] #block-homeslider button{
    transform: rotate(180deg);	
}
#user-account-block-wrap ul{
        text-align: start;
}
.webform-submission-form  input{
	width:100%;
}
.webform-submission-form  label{
	display:block;
}
.webform-submission-form .webform-button--submit{
	width:auto !important;
}
#user-account-block-wrap ul li{
    margin: 5px 7px;

}
.region-footer-first .margin-bottom-20 img{
    max-width: 180px;	
}
.block-views-blockproduct-taxonomy-brand-logos{
    padding-top: 0px;
    display: inline-block;
    width: 100%;
    margin-top: 26px !important;	
}

#edit-continue-shopping{
	margin:0px 10px;
}
.field--name-field-swrt-althwyl-albnky{
	display:none; 
	background-color: #efefef;
    padding: 10px;
    border-radius: 10px;
    margin-top: 50px;
}
.brand-logo{
	height: 200px;
}
.brand-logo img {
width: 100%;
    height: 100%;
    object-fit: contain;	
}

.product-teaser-wrap{
     padding: 10px;
    border: 1px solid #9e124b;  
        border-radius: 15px;
}

#block-views-block-main-menu-slide-block-1 img{
           border-radius: 15px;
           overflow:hidden;
}


.product-image{
	position:relative;
}
.product-image .product-image-link{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	z-index:1;
}
.product-image .product-badge{
	z-index:9;
}

.footer-social {
    display: inline-block;
    width: 100%;
    height: auto;
    margin: 20px 0px;
}
.footer-social ul {
    display: inline-block;
    width: 100%;
    height: auto;
    margin: 0px 0px;
    padding: 0;
}
.footer-social li {
    display: inline-block;
    margin: 0px 10px;
    padding: 10px;
    border: 1px solid #fff;
    border-radius: 10px;
    padding: 8px;
    width: 43px;
    text-align: center;
    height: 43px;
}
.footer-social li a {
    color: #fff;
}
.footer-social li i {
    color: #fff;
    font-size: 25px;
}
.icons-what {
    display: inline-block;
    width: 50px;
    font-size: 29px;
    padding: 2px;
    background-color: #25D366;
    text-align: center;
    border-radius: 0px 10px 10px 0px;
    position: fixed;
    left: 0;
    top: 50%;
    z-index: 9999;
}
.icons-what i {
    color: #fff;
}
.pdf-down{
display: inline-block;
    width: 100%;
    text-align: center;	
	margin:10px 0px;
}
.pdf-dow-link{
    font-size: 22px;
    padding: 11px 42px;
    background-color: #77d4ef;
    color: #fff;	
}
.pdf-dow-link i{
    margin-inline-start: 10px;	
}
.product-list-wrap{
	position:relative;
}
.product-list-wrap .product-title-link-custom{
	position:absolute;
	width:100%;
	height:100%;
	z-index:0;
	top:0;
	left:0;
	z-index:99;
}

.footer-info-custom a{
	display:inline-block;
	margin-inline-start:10px;
}

.box-icon.views-row{
    background-image: linear-gradient(
133deg
,var(--main-color),var(--second-main-color));
    box-shadow: 0 2px 4px 0 rgb(0 0 0 / 9%);
	    background-color: #7ee2ff;	
		color:#fff;
		    padding: 0px;
    padding: 0px 20px;
}
[dir="rtl"] .block-facets ul ul li{
	margin-left: 0px;
	margin-right: 10px;
}
[dir="rtl"] .collapse-item .card-header > a:after{
	right:unset;
	left:0;
}
[dir="rtl"] .en-message{
	display:none;
}
[dir="ltr"] .ar-message{
	display:none;
}
.commerce-checkout-completion-register{
    display: inline-block;
    width: 50%;
    margin: 0 25%;
    background-color: #efefef;
    padding: 28px;
    border: 1px solid #ccc;	
}
.checkout-complete{
    text-align: center;
    margin: 40px 0px;
    display: inline-block;
    width: 100%;	
}


.header-container{
 display: flex
;
    justify-content: space-between;   
    
}
.header-blocks{
    display: flex;
    gap: 20px;
    align-items: center;
}
.breif-images{
     width: 200px;
    height: auto;   
}

.brand.logo{
    max-width: 190px;
    line-height: 45px;
        background-color: #fff;
    padding: 2px;
}
.home-page-btn a{
    transition: .2s;
    font-size: 19px;
    background-color: #9e124b;
    padding: 13px 40px;
    border-radius: 0px 0px 7px 7px;
    color: #fff;
    border: 1px solid #fff;
    line-height: 33px;
    /* height: 68px; */
    display: inline-block;
    font-weight: bolder;
}
.home-page-btn a:hover{
     background-color: #fff;
    color:#9e124b;  
    border:1px solid #9e124b;
}

.lang-dropdown-select-element{
      border: 0 !important;
    color: #fff !important;  
}

.lang-dropdown-select-element .option{
    font-size:13px;
    color:#9e124b;
}

.nice-select:after {
    border-bottom: 2px solid #fff !important;
    top: 48% !important;
    width: 7px !important;
    height: 7px !important;
    border-left: 2px solid #fff !important;
}
.lang-dropdown-select-element .current:after{
    content: "";
    display: inline-block;
    width: 32px;
    height: 32px;
    background-image: url(../images/global.png);
    background-size: 24px;
    background-repeat: no-repeat;
    background-position: center;
}
.nice-select .current{
        display: flex !important;
    align-items: center;
}
.footer-container{
 display: flex;
    justify-content: space-between;   
}
.footer-img{
     width: 25%;   
}
.footer-data{
    width: 31%;
    display: flex;
    align-items: center;
    gap: 30px;

}

.footer-data .field-body p{
    margin-bottom:0;
}
.footer-data .field-body a:hover{
    color:#000;
}

.footer-second-img{
    padding-inline-end: 30px;
    max-width: 12%;    
        display: flex;
    align-items: center;
}


#block-socialmedia path{
    transition:.2s;
 color: #9e124b;   
}
#block-socialmedia a{
transition:.2s;
font-size: 18px;
    background: #fff;
    color: #9e124b;
    background: #fff;
    /* color: #9e124b; */
    width: 40px;
    height: 40px;
    /* padding: 9px; */
    border-radius: 50%;
    border:1px solid transparent;
        display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    align-items: center;
}
#block-socialmedia a:hover{
 background: #9e124b;   
 border:1px solid #fff;
}
#block-socialmedia a:hover path{
    color:#fff;
}

.social-media ul{
     gap: 10px;   
}
.footer{
margin-top: 20px;
}
.footer:before{
    display:none;
content: "";
    position: absolute;
    top: -28px;
    height: 30px;
    left: 0;
    width: 100%;
    background-image: url(../images/pattern.png);
    /* background-repeat: no-repeat; */
    background-size: 103%;
    background-position: center;
    
}
.footer-data-container{
    display: flex;
    gap: 20px;
    border-bottom: 3px solid #fff;
    width: 100%;
    padding-bottom: 20px;    
}
.region-contact{
     padding-inline-start: 5px;
    border-inline-start: 1px solid #fff;   
}

.main-page-container{
display: inline-block;
    width: 100%;
    height: 100vh;
    overflow-y: hidden;   
    position:relative;
}

.main-page-container h2{
    display:none;
}
.region-video div{
    width:100%;
    max-width:100% !important;
}
video{
    width: auto !important;
    height: 100vh !important;
    min-width: 100%;
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
}

.main-menu{
     position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);   
}

.main-menu-container ul{
    display: flex;
    list-style: none;
    gap: 30px;

    justify-content: center;  
}
.main-menu-container ul li{
    width: 22%;
}
.main-menu-container .main-logo{
 display: inline-block;
    width: 100%;
    height: auto;
    margin-bottom: 20px;   
    text-align:center;
}
.main-menu-container .menu-item{
    min-height: 150px;
    background-image: url(../images/menu-item.png);
    background-size: 100% 100%;
    width: 160px;
    height: 168px;
    color: #fff;
      animation: twinkle 6s ease-in-out infinite;

}
@keyframes twinkle {
  0%, 100% { opacity: 0.6; }
  50% { opacity: 1; }
}

.menu-item-img img{
max-height: 80px; 
}

.menu-item-container{
     display: flex
;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;   
}

.menu-item-title{
    font-size: 23px;
    margin-top: 10px;
    font-weight: 700;
    font-weight: bolder;  
}

.pattern{
    position: absolute;
    bottom: 0;
    height: 30px;
    left: 0;
    width: 100%;
    /*background-image: url(../images/pattern.png);*/
    /* background-repeat: no-repeat; */
    background-size: 103%;
    background-position: center;
        background-repeat: no-repeat;
}

.menu-item-title{
 color: #fff;   
}

.product-teaser-wrap{
     padding: 10px;
    border: 1px solid #9e124b;   
}


.product-variation-wrap{
    display: flex;
    justify-content: space-between;
    align-items: center; 
}


.product-teaser .product-add-cart input[type="submit"], .product-teaser .product-add-cart .button ,
.ui-dialog .product-post .product-content-wrap .form-actions .button--add-to-cart {
    padding: 0 16px;
    border-radius: 50%;
    width: 42px;
    height: 42px;
    padding: 0;
    font-size: 28px;
    font-weight: 100;
}

.breif-images img{
    padding-inline-start: 10px;
    border-inline-start: 1px solid #fff;    
}
.cart-item{
      display: flex
;
    justify-content: space-between;
    margin-bottom: 8px;
    align-items: center;  
}
.cart-right p{
    margin:0;
}
.cart-left button{
     background: unset;
    border: 0;
    color: #9e124b;   
}

.custom-cart{
    padding:0;
    min-height:300px;
    position:relative;
}
.header-cart{
    padding: 10px 14px;
    border-bottom: 2px solid #9e124b;

}
.header-cart h2{
    margin:0;
}
.remove-item{
    padding:0;
}
.cart-items{
    height: 500px;
    overflow-y: scroll;
    padding-bottom: 38px;

    padding-inline-start: 10px;
    padding-inline-end: 10px;
}

.cart-items::-webkit-scrollbar-button {
  display: none;
  height: 0;
}


.cart-item{
        border-bottom: 1px solid #9e124b;
}


.cart-total{
         padding: 15px 10px;
    background-color: #efefef;
    color: #000;  
     position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 0 0 10px 10px;   
}

.cart-item{
    padding: 15px 0px;    
}
.cart-right{
     font-size: 12px;
    width: 100px;   
}
.cart-action{
    text-align: center;
    display: flex;
    flex-direction: row-reverse;
}
.order-button{
    transition: .2s;
    font-size: 15px;
    background-color: #9e124b;
    padding: 13px 27px;
    border-radius: 7px;
    color: #fff;
    border: 1px solid #9e124b;
    display: inline-block;
    margin-right:auto;   
        display: flex;
    width: 60%;
    justify-content: center;
    gap: 10px;
    height: 50px;
}
.order-button .icon-phone{
padding: 2px;
    background-color: #fff;
    border-radius: 50%;
    text-align: center;
    display: flex
;
    text-align: center;
    display: inline-block;
    width: 24px;
    height: 24px;
    margin-top: -2px;

}
.order-button svg{
     margin-inline-end: 10px;
    color: #9e124b;
    margin: 0;

    border-radius: 50%;   
}
.order-button:hover{
    color:#ccc;
}

.flag-link::before, .flag-link::after{
    display:none;
}

.page-node-258 .region-content #block-martis-content--3{
    display:none ;
}

.views-exposed-form.bef-exposed-form .fieldset-legend{
    display:none;
}
.views-exposed-form.bef-exposed-form > .form-composite{
        width: 100%;
    padding: 10px 0px;
    display: flex;
    gap: 10px;   
        border-bottom: 1px solid #9e124b; 
        overflow-y: auto;
}
.views-exposed-form.bef-exposed-form .form-checkboxes ,
.views-exposed-form.bef-exposed-form .form-composite{
          width: 100%;
    padding: 10px 0px;
    display: flex;
    gap: 10px;   
        overflow-y: auto;  
}
#edit-hierarchical-category-filter-parent--wrapper{
     width: 100%;
    padding: 9px 15px;
    display: flex;
    gap: 10px;   
        border-bottom: 1px solid #9e124b;
}
#child-category-wrapper-hierarchical_category_filter .fieldset-wrapper .form-checkboxes{
     display: flex;
    gap: 10px;    
     overflow-y: auto;
     padding-bottom: 10px;
   padding-inline-end: 20px;
}
.views-exposed-form.bef-exposed-form .js-form-type-checkbox{
position: relative;
    padding: 9px 15px;
     font-size: 22px;
    /* border-radius: 10px; */
    color: #fff;
    border-inline-start: 1px solid #fff;
}
.views-exposed-form.bef-exposed-form .js-form-type-checkbox:first-child{
      border-inline-start:0px;  
}

.views-exposed-form.bef-exposed-form .js-form-type-checkbox label{
    color:#fff;
}
.views-exposed-form.bef-exposed-form .js-form-type-checkbox:has(input:checked) label{
    color:#f3ae4c;
}
.views-exposed-form.bef-exposed-form .js-form-type-checkbox input{
    position: absolute;
    inset: 0;
    font-size: 0;    
}
.views-exposed-form.bef-exposed-form .js-form-type-checkbox label{
    padding:0;
        white-space: nowrap;
}
.views-exposed-form.bef-exposed-form .js-form-type-checkbox label:after ,
.views-exposed-form.bef-exposed-form .js-form-type-checkbox label:before{
    display:none;
}
#child-category-wrapper-hierarchical_category_filter{
    margin-top:10px;
}

.ui-widget.ui-widget-content {
    width: 450px !important;
    max-width: 100%;
}

.ui-widget.ui-widget-content .field-title{
    font-size:23px;
    text-align:center;
   color:#9e124b; 
}

.ui-widget.ui-widget-content .product-image-wrap{
    margin-bottom: 10px;
}

.product-post .field-field-short-description{
    margin:0;
    padding:0;
    border:0;
    color:#9e124b;
}
.piczoomer-pic-wp{
      text-align: center;  
}
.piczoomer-pic{
    width: 70%;
    height: auto;
    margin: auto;
border-radius: 20px;
    border: 3px solid #9e124b;
}
.product-short-description{
     text-align: center;
    font-size: 16px;   
}
.ui-dialog-content .product-post .product-price{
    color:#9e124b;
        font-size: 18px;
        margin:5px 0px;
}
.product-post .control-label{
    display:none;
}
.product-post .product-price-wrap{
     margin-bottom: 10px;
    text-align: center;
    color: #eee;   
}
.product-post .commerce-order-item-add-to-cart-form{
     display: flex
;
    justify-content: space-between;   
        align-items: center;
            flex-wrap: wrap;
}
.product-post{
        font-family: 'careemregular';
}
.product-post  .commerce-order-item-add-to-cart-form .field--name-quantity{
   width:50%;  
}
.ui-dialog{
    border:6px solid #ca3528 !important;
        border-radius: 20px;
}
.order-with{
 text-align: center;
    margin-top: 25px;
    display: block;
}
.product-post .commerce-order-item-add-to-cart-form .field--name-quantity input
 .quantity-button ,
.quantity-button.quantity-down ,
.quantity-button.quantity-up{
    border:0 !important;
    border-left: 0 !important;
    border-right: 0 !important;
}

.product-post .product-add-cart .form-actions {
    display: inline-block;
    min-width: 100px;
    text-align: end;
    display: flex
;
    justify-content: end;
    margin-bottom: 15px;
}

[dir="rtl"] .ajax-progress-fullscreen{
    right:0% !important;
}
.order-with-title{
font-size: 15px;
    color: #9e124b;
    border-bottom: 1px solid #9e124b;
    padding-bottom: 4px;
    margin-bottom: 10px;    
}
.field-field-order-product-with{
     display: flex;
    gap: 12px;
    text-align: center;
    flex-wrap: wrap;   
}
.field-field-order-product-with > .field-item{
     width: 33.33%;
    margin-bottom: 5px;
   
}
.ui-dialog .ui-dialog-content{
 margin-top:20px;    
}
.ui-widget.ui-widget-content{
    max-height: 88vh;
    overflow-y: auto;
    margin: auto;    
}
.ui-dialog .ui-dialog-titlebar-close{
    top: 7px;
    right: 15px;   
}
.img-item img{
    width:100%;
    height:auto;
    display:none;
}
.mobile-img{
    display:none;
}






@media only screen and (max-width: 905px) {
 .footer-img {
    width: 39%;
}
.footer-data{
    width: 35%;    
}
.footer-second-img{
     max-width: 16%;   
}
.footer-data-container{
     flex-direction: column;
    margin-top: 14px;   
}
}




@media (min-width: 576px) {
    .container, .container-sm ,.container-wrap {
        max-width: 940px;
    }
}


@media (min-width: 992px) {
   .container, .container-lg, .container-md, .container-sm ,.container-wrap{
        max-width: 1200px;
    }
}
@media (min-width: 768px) {
   .container, .container-lg, .container-md, .container-sm ,.container-wrap{
        max-width: 1200px;
    }
    
}
@media only screen and (max-width: 793px) {
 .home-page-btn{
     display:none;
 }   
 .breif-images{
         max-width: 130px;
 }
}
@media only screen and (max-width: 1200px) {
  .menu-item-img img {
    max-height: 50px;
}  
}
@media only screen and (max-width: 1112px) {
    .order-button{
        width: 100%;
    }
     .main-menu-container ul{
         flex-wrap:wrap;
     }
   .main-menu-container ul li{
         width: 40%;
         height:200px;

   } 

}

@media only screen and (max-width: 768px) {

.desktop-img{
    display:none;
}
.mobile-img{

            display: block;
        max-width: 125px;
        margin: auto;
}
    .main-menu{
            width: 95%;
    }
.commerce-checkout-completion-register{
    width: 100%;
    margin: 0 0%;		
}
.cart-form .views-form form table{
    display: inline-block;
    width: 100%;
    overflow: scroll;
}
.cart-form .views-form form table::-webkit-scrollbar {
  -webkit-appearance: none;
  width: 7px;
}

.cart-form .views-form form table::-webkit-scrollbar-thumb {
  border-radius: 4px;
  background-color: rgba(0, 0, 0, .5);
  box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}
.cart-form .views-form #edit-submit, .cart-form .views-form .form-submit {
    width: 100%;
    margin: 0;
    margin: 10px 0;
    margin-inline-start: 0 !important;
}
[dir="rtl"] .cart--cart-block .cart-block--contents {
    width: 225px;
    right: -115px;
}
[dir="rtl"] .mega-menu > ul > li a{
	text-align:start;
}
.header-right, .header-main, .main-menu-right{
	display:block !important;
}
.path-frontpage #page-wrapper{
	display:none !important;
}
.testimonial-content{
	padding:0 !important;
}
.region-sidebar-first .facet-inactive{
    height: 130px;
    overflow-y: scroll;	
}
.feature-block-layout4 .field-body h4{
    margin-top: 30px;	
}
.action-block-2 .cta-link {
    text-align: center !important;
}
.page-compare .flipped-table{
	    width: 100% !important;
    overflow: scroll !important;
}
.page-compare .flipped-table table{
display: inline-block;
    width: 100%;	
}
.path-checkout #wrapper{
    display: inline-block;
    width: 100%;
    height: auto;
    overflow-x: hidden;
}
.checkout-progress--step{
	width:50%;
}
[dir="rtl"] .header-element {
    left: 0px !important;
    right: auto;
}
}
@media only screen and (max-width: 600px) {
  .footer-container{
       flex-direction: column;   
  }  
  .footer-container {
    display: flex
;
    justify-content: space-between;
    gap: 20px;
}
.footer-second-img img{
        width: 37%;
    margin: auto;
}
.footer:before{
     content: "";
    position: absolute;
    top: -22px;
    height: 30px;
    left: 0;
    width: 100%;
    background-image: url(../images/pattern.png);
    /* background-repeat: no-repeat; */
    background-size: 247%;
    background-position: center;
    background-repeat: no-repeat;   
}
    .breif-images {
        max-width: 80px;
    }
       .footer-container > div{
       width:100%;
       max-width:100%;
   }
   .cart-items{
         height: 200px;  
   }


}
@media only screen and (max-width: 400px) {
   .main-menu-container ul li{
      height: 150px;
   } 

}

.container ,
.container-wrap{
    max-width: 1600px;
    width: 100%;
    padding: 0px 10px;
}
.task-bar{
    display:none !important;
}

.wrapper{
     width: 100%;
    overflow-x: hidden;   
}
.developed-by p{
     margin: 0;
    text-align: center;
    display: flex;
    justify-content: center;   
}
.developed-by p a:hover{
    color:#fff;
}


.branch {
    display: inline-block;
    width: 100%;
    text-align: center;
    border: 1px solid #ccc;
    font-size: 13px;
    color: #fff;

    overflow: hidden;
}

.branch-name a {
    background-color: #fff;
    color: #9e124b;
    width: 100%;
    padding: 20px 0px;
    display: inline-block;
    transition: .2s;
    border:1px solid #9e124b;
}

.branch-name a:hover {
    transform: scale(1.05);
    background-color: #9e124b;
    color: #fff;
}

.branch-maps a {
    color: #fff;
}

#block-views-block-branches-block-1 .grid-item ,
#block-views-block-customer-recommended-block-1 .grid-item{
     display: inline-block;
    width: 100%;   
}


#block-views-block-customer-recommended-block-1-2 .views-field,#block-views-block-customer-recommended-block-1-3 .views-field {
    height: 100%;
}

.customer-image {
    height: 86px;
    width: 240px;
}

a.custoomer-card {
    border: 1px solid #d8d8d8;
    display: block;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
    height: 100%;
    padding: 16px 25px;
    background-color: #fff;
    transition: .5s;
}

.customer-number {
    font-size: 30px;fv
    font-weight: 700;
    color: #1f306d;
    margin-bottom: 0.6rem;
}

a.custoomer-card:hover {
    transform: scale(1.03);
}

section.customer-sec {
    padding: 50px 0;
}
#block-customerrecommended{
     text-align: center;
    margin-top: 60px;   
}
.path-frontpage{
  background-color:#9d1b4c;  
}

.path-frontpage .field-field-video{
    display:none;
}
.menu-item-title{
   font-family: coconnextarabic !important; 
}

.main-page-container::after{
    content: "";
    background-image: url(../images/bg1.png);
    position: absolute;
    top: 0;
    right: 0;
    width: 25%;
    height: 96%;
    background-size: cover;
    background-repeat: no-repeat;
      animation: moveUpDown 3s ease-in-out infinite;

}
.main-page-container::before{
    content: "";
    background-image: url(../images/bg2.png);
    position: absolute;
    bottom: 0;
    left: 0;
    width: 19%;
    height: 38%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: bottom left;
      animation: moveDownUp 3s ease-in-out infinite;

}



@keyframes moveUpDown {
  0%, 100% { transform: translateY(0); }
  50%      { transform: translateY(-20px); }
}

@keyframes moveDownUp {
  0%, 100% { transform: translateY(0); }
  50%      { transform: translateY(20px); }
}







.header{
 background-color: #fff;   
}
.nice-select .current{
     color: #9e124b;   
}



.nice-select:after{
    border-bottom: 2px solid #9e124b !important;
    border-left: 2px solid #9e124b !important;    
}




footer.footer{
    background-color: #fff;
    background-image: url(../images/footer-bg.png);
    background-size: 100% 100%;
    background-repeat: no-repeat; 
        min-height: 450px;
            display: flex;
    flex-direction: column;
    justify-content: end;
}

.footer-img img{
    display:none;
}
.custom-cart h2{
 color: #9e124b;   
}
.custom-cart{
 border: 1px solid #9e124b;   
}

.cart-items {
    height: 500px;
    overflow-y: scroll;
    padding-bottom: 38px;
    padding-inline-start: 10px;
    padding-inline-end: 10px;
}
.cart-image{
    display: inline-block;
    width: 173px;
    height: 128px;
    background-image: url(../images/cart.png);
    background-size: 90%;
    background-repeat: no-repeat;
    background-position: center; 
    
}


.block-views-blockmain-menu-slide-block-1 .field-content{
    position: relative;
    margin-top: 100px;
}
.block-views-blockmain-menu-slide-block-1 .field-content img{
      border-radius: 20px;
    padding: 60px 15px 0px 15px;
    background-color: #9d1b4c;
}
.block-views-blockmain-menu-slide-block-1 .field-content::after{
content: '';
    min-height: 150px;
    background-image: url(../images/menu-item.png);
    background-size: 100% 100%;
    width: 160px;
    height: 168px;
    color: #fff;
    position: absolute;
    top: -83px;
    right: 50%;
    transform: translate(50%, 0px);
    z-index: 10;
}


.views-exposed-form.bef-exposed-form > .form-composite{
    background-color: #9e124b;
    border-radius: 10px 0px 0px 10px;    
}




/* Width of the scrollbar */
::-webkit-scrollbar {
  width: 10px;
}

/* Scrollbar track (background) */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Scrollbar thumb (the scroll handle) */
::-webkit-scrollbar-thumb {
  background: #62082d;
  border-radius: 6px;
}

/* Thumb hover effect */
::-webkit-scrollbar-thumb:hover {
  background: #7c0e3b;
}











/* Styling the scrollbar */
.cart-items::-webkit-scrollbar {
    width: 0px;  /* Width of the scrollbar */
    height: 0px; /* Height for horizontal scrollbar, if needed */
}

/* Styling the scrollbar track */
.cart-items::-webkit-scrollbar-track {
    background: #f1f1f1; /* Light background for the track */
    border-radius: 10px;  /* Rounded corners for the track */
}

/* Styling the scrollbar thumb (the draggable part) */
.cart-items::-webkit-scrollbar-thumb {
    background: #72246c;  /* Set the color for the thumb */
    border-radius: 10px;  /* Rounded corners for the thumb */
}

/* Optional: Styling when the thumb is hovered */
.cart-items::-webkit-scrollbar-thumb:hover {
    background: #9c3f85;  /* Darker color when hovered */
}


.commerce-order-item-add-to-cart-form .field--type-entity-reference.field--name-purchased-entity {
        width: 100%;
    flex: 0 0 100%;
    margin-bottom: 0;
}

.owl-stage .owl-item {
  transform: scale(0.8);
  transition: transform 0.5s ease;
}

/* MIDDLE active ONLY */
.owl-stage .owl-item.active + .owl-item.active:has(+ .owl-item.active) {
  transform: scale(1);
}


.ui-dialog .product-post .product-content-wrap .form-actions input[type="submit"]{
    line-height: 10px;
}
.page-wrapper{
    position:relative;
        z-index: 2;
}
.page-wrapper:after{
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 37%;
    height: 37%;
    background-image: url(../images/bg22.png);
    background-size: 100%;
    background-position: top right;
    opacity: .5;
   background-repeat: no-repeat;
       z-index: -1;
           animation: moveUpDown 3s ease-in-out infinite;
}
.page-wrapper:before{
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 37%;
    height: 37%;
    background-image: url(../images/bg333.png);
    background-size: 100%;
    background-position: bottom left;
    opacity: .5;
    background-repeat: no-repeat;
        z-index: -1;
            animation: moveDownUp 3s ease-in-out infinite;
}

@keyframes floatUpDown {
  0%   { transform: translateY(0); }
  50%  { transform: translateY(-15px); }
  100% { transform: translateY(0); }
}



.product-teaser-wrap {
  opacity: 0;
  transform: translateY(40px);
  transition: transform 0.6s ease, opacity 0.6s ease;
}

.product-teaser-wrap.show {
  opacity: 1;
  transform: translateY(0);
}

.ui-dialog,
.header,
.main-logo img{
  animation: slideIn 1s ease forwards;

}



@keyframes logoGlow {
  0%, 100% { filter: drop-shadow(0 0 0px rgba(255,255,255,0)); }
  50% { filter: drop-shadow(0 0 10px rgba(255,255,255,0.7)); }
}
@keyframes slideIn {
  from { transform: translateY(-20px); opacity: 0; }
  to { transform: translateY(0); opacity: 1; }
}



@media only screen and (max-width: 768px) {
       footer.footer{
       background-color: #ca3528;
           background-size: contain;
           min-height: 350px;
   }
   .views-exposed-form.bef-exposed-form .js-form-type-checkbox{
       font-size: 17px;
   }
   .owl-stage .owl-item{
           transform: scale(1);
   }
   .block-views-blockmain-menu-slide-block-1 .field-content::after{
           width: 130px;
    height: 130px;
        min-height: 130px;
   }
   .cart-action{
           display: block;
   }
}















